summaryrefslogtreecommitdiffstats
path: root/source/n/tin
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/n/tin
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/n/tin')
-rw-r--r--source/n/tin/slack-desc19
-rw-r--r--source/n/tin/tin-1.8.2.tar.bz2.sign9
-rwxr-xr-xsource/n/tin/tin.SlackBuild98
3 files changed, 126 insertions, 0 deletions
diff --git a/source/n/tin/slack-desc b/source/n/tin/slack-desc
new file mode 100644
index 000000000..5479cbd26
--- /dev/null
+++ b/source/n/tin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tin: tin (the Tin newsreader)
+tin:
+tin: Tin is a full-screen, easy-to-use Netnews reader. It can read news
+tin: locally (i.e. /var/spool/news) or remotely (rtin or tin -r option)
+tin: via a NNTP (Network News Transport Protocol) server. It will
+tin: automatically utilize NOV (news overview) style index files if
+tin: available locally or via the nntp xover command.
+tin:
+tin: Tin was written by Iain Lea <iain@ecrc.de> and is currently
+tin: maintained by Urs Janssen <urs@tin.org>.
+tin:
diff --git a/source/n/tin/tin-1.8.2.tar.bz2.sign b/source/n/tin/tin-1.8.2.tar.bz2.sign
new file mode 100644
index 000000000..29db525d8
--- /dev/null
+++ b/source/n/tin/tin-1.8.2.tar.bz2.sign
@@ -0,0 +1,9 @@
+-----BEGIN PGP MESSAGE-----
+Version: 2.6.3ia
+
+iQCVAwUARE4WY1pJVQ60kLTRAQFBSwQA1TZP/EcytcgrNvOmpsRqmOX/LBL7Pqt8
+8aviolzsXypalr71LmTZRK1y9TtrGNioHde1B7MEYCTWsoUV4t6r87RdSE2dgU+E
+/ieaHvTFOUK9vy8C3VmjvCm8rJGPNAnz7Pbh6xtpAmUIY9jKuPZ0et576gw4Fl1T
+YoyxRSmzb2E=
+=H2kb
+-----END PGP MESSAGE-----
diff --git a/source/n/tin/tin.SlackBuild b/source/n/tin/tin.SlackBuild
new file mode 100755
index 000000000..1339dc37b
--- /dev/null
+++ b/source/n/tin/tin.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=1.8.2
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-tin
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf tin-$VERSION
+tar xvf $CWD/tin-$VERSION.tar.bz2 || exit 1
+cd tin-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --with-metamail=/usr/bin/metamail \
+ --with-ispell=/usr/bin/ispell \
+ --with-defaults-dir=/etc/tin \
+ --with-libdir=/var/lib/news \
+ --with-ncurses
+make clean
+make build || exit 1
+make install DESTDIR=$PKG || exit 1
+make install_sysdefs DESTDIR=$PKG || exit 1
+
+cat << EOF > $PKG/etc/tin/README
+
+To complete TIN setup, edit /etc/nntpserver to the name of your NNTP server,
+then edit tin.defaults to set your domain name (and other options).
+
+Happy newsreading! :^)
+
+EOF
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/tin-$VERSION
+cp -a \
+ README doc/* tools \
+ $PKG/usr/doc/tin-$VERSION
+( cd $PKG/usr/doc/tin-$VERSION
+ rm -f CHANGES.old *.1 *.3 *.5
+)
+# Clutter reduction (these are in the tools dir)
+rm -f $PKG/usr/bin/metamutt \
+ $PKG/usr/bin/opt-case.pl \
+ $PKG/usr/bin/url_handler.sh \
+ $PKG/usr/bin/w2r.pl
+chmod 644 $PKG/usr/man/man?/*.?
+( cd $PKG/usr/man/man1
+ mv opt-case.pl.1 w2r.pl.1 $PKG/usr/doc/tin-$VERSION/tools
+)
+gzip -9 $PKG/usr/man/man?/*.?
+( cd $PKG/usr/man/man1
+ rm -f *.1
+ ln -sf tin.1.gz rtin.1.gz
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/tin-$VERSION-$ARCH-$BUILD.txz
+